MonitorPopup = class(Turbine.UI.Window)
function MonitorPopup:Constructor()
    Turbine.UI.Window.Constructor(self)


    self:SetBackground("Hardcore/Images/Monitor.tga")
    self:SetStretchMode(2)
    self.width = self:GetWidth()
    self.height = self:GetHeight()
    self:SetSize(self.width, self.height)
    self.width = self.width * 3
    self.height = self.height * 3
    --ChatOutput(self.width)
    --ChatOutput(self.height)
    --self:SetStretchMode(1)
    self:SetSize(self.width, self.height)
    self:SetPosition(Turbine.UI.Display.GetWidth() / 2 - self.width / 2, 50)
    self:SetVisible(true)

    self.textWindow = Turbine.UI.Window()
    self.textWindow:SetParent(self)
    self.textWindow:SetSize(self.width * 2, 80)
    self.textWindow:SetPosition(-(self.width / 2), self.height)
    --self.textWindow:SetBackColor(Turbine.UI.Color.Black)
    self.textWindow:SetVisible(true)

    --self:SetBackColor(Turbine.UI.Color.Black)

    self.label = Turbine.UI.Label()
    self.label:SetParent(self.textWindow)
    self.label:SetSize(self.width * 2, 80)
    self.label:SetPosition(0, 0)
    self.label:SetFontStyle(Turbine.UI.FontStyle.Outline)
    self.label:SetOutlineColor(Turbine.UI.Color.Black)
    self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
    self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)
    self.label:SetText("Character Activity is being monitored!")
    self.label:SetMouseVisible(false)

    self:SetWantsUpdates(true)
    self.timer = 5
    self.oldGameTime = Turbine.Engine.GetGameTime()

    self.Update = function()
        self.timer = self.timer - (Turbine.Engine.GetGameTime() - self.oldGameTime)

        self:SetOpacity(self.timer / 5)
        self.textWindow:SetOpacity(self.timer / 5)

        if self.timer <= 0 then
            self:SetParent(nil)
            self.textWindow:SetParent(nil)
        end

        self.oldGameTime = Turbine.Engine.GetGameTime()
    end
end